| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
IG.Forms.MessageBoxLauncher Class Reference

An exemple form that launches various message boxes. More...

Inheritance diagram for IG.Forms.MessageBoxLauncher:
[legend]
Collaboration diagram for IG.Forms.MessageBoxLauncher:
[legend]

## Public Member Functions
| MessageBoxLauncher ()

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Private Member Functions
void | MessageBoxLauncher_Load (object sender, EventArgs e)
void | lblTitle_Click (object sender, EventArgs e)
void | btnLaunch_Click (object sender, EventArgs e)
void | btnCurrentDirRefresh_Click (object sender, EventArgs e)
void | btnFileOpenBrowse_Click (object sender, EventArgs e)
void | txtFileOpen_TextChanged (object sender, EventArgs e)
void | btnDirOpenBrowse_Click (object sender, EventArgs e)
void | txtDirOpen_TextChanged (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.GroupBox | grpIcons
System.Windows.Forms.RadioButton | rbQuestion
System.Windows.Forms.RadioButton | rbInfo
System.Windows.Forms.RadioButton | rbWarning
System.Windows.Forms.RadioButton | rbError
System.Windows.Forms.Label | lblTitle
System.Windows.Forms.GroupBox | groupBox1
System.Windows.Forms.RadioButton | rbOKCancel
System.Windows.Forms.RadioButton | rbOK
System.Windows.Forms.RadioButton | rbYesNoCancel
System.Windows.Forms.RadioButton | rbYesNo
System.Windows.Forms.RadioButton | rbAbortRetryIgnore
System.Windows.Forms.GroupBox | grTitleText
System.Windows.Forms.TextBox | txtMessage
System.Windows.Forms.TextBox | txtTitle
System.Windows.Forms.Label | lblMsgText
System.Windows.Forms.Label | lblMsgTitle
System.Windows.Forms.Button | btnLaunch
System.Windows.Forms.GroupBox | grpResult
System.Windows.Forms.Label | lblButtonClicked
System.Windows.Forms.Label | lblResultDescription
System.Windows.Forms.GroupBox | grpFileOpen
System.Windows.Forms.Label | lblCurrentDirTitle
System.Windows.Forms.Label | lblCurrentDir
System.Windows.Forms.Button | btnCurrentDirRefresh
System.Windows.Forms.Button | btnFileOpenBrowse
System.Windows.Forms.TextBox | txtFileOpen
System.Windows.Forms.Label | lblFileSize
System.Windows.Forms.Label | lblFileOpenSizeTitle
System.Windows.Forms.GroupBox | grpDirOpen
System.Windows.Forms.Label | lblDirNumFiles
System.Windows.Forms.Label | lblDirNumFilesTitle
System.Windows.Forms.TextBox | txtDirOpen
System.Windows.Forms.Button | btnDirOpenBrowse

## Detailed Description

An exemple form that launches various message boxes.

User can set all parameters that affect function and appearance, and launc the message boxes accordingly.

## Constructor & Destructor Documentation

IG.Forms.MessageBoxLauncher.MessageBoxLauncher | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.MessageBoxLauncher.MessageBoxLauncher_Load | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.MessageBoxLauncher.lblTitle_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.MessageBoxLauncher.btnLaunch_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.MessageBoxLauncher.btnCurrentDirRefresh_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.MessageBoxLauncher.btnFileOpenBrowse_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.MessageBoxLauncher.txtFileOpen_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.MessageBoxLauncher.btnDirOpenBrowse_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.MessageBoxLauncher.txtDirOpen_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.MessageBoxLauncher.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.MessageBoxLauncher.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.ComponentModel.IContainer IG.Forms.MessageBoxLauncher.components = null
| private

Required designer variable.

System.Windows.Forms.GroupBox IG.Forms.MessageBoxLauncher.grpIcons
| private

System.Windows.Forms.RadioButton IG.Forms.MessageBoxLauncher.rbQuestion
| private

System.Windows.Forms.RadioButton IG.Forms.MessageBoxLauncher.rbInfo
| private

System.Windows.Forms.RadioButton IG.Forms.MessageBoxLauncher.rbWarning
| private

System.Windows.Forms.RadioButton IG.Forms.MessageBoxLauncher.rbError
| private

System.Windows.Forms.Label IG.Forms.MessageBoxLauncher.lblTitle
| private

System.Windows.Forms.GroupBox IG.Forms.MessageBoxLauncher.groupBox1
| private

System.Windows.Forms.RadioButton IG.Forms.MessageBoxLauncher.rbOKCancel
| private

System.Windows.Forms.RadioButton IG.Forms.MessageBoxLauncher.rbOK
| private

System.Windows.Forms.RadioButton IG.Forms.MessageBoxLauncher.rbYesNoCancel
| private

System.Windows.Forms.RadioButton IG.Forms.MessageBoxLauncher.rbYesNo
| private

System.Windows.Forms.RadioButton IG.Forms.MessageBoxLauncher.rbAbortRetryIgnore
| private

System.Windows.Forms.GroupBox IG.Forms.MessageBoxLauncher.grTitleText
| private

System.Windows.Forms.TextBox IG.Forms.MessageBoxLauncher.txtMessage
| private

System.Windows.Forms.TextBox IG.Forms.MessageBoxLauncher.txtTitle
| private

System.Windows.Forms.Label IG.Forms.MessageBoxLauncher.lblMsgText
| private

System.Windows.Forms.Label IG.Forms.MessageBoxLauncher.lblMsgTitle
| private

System.Windows.Forms.Button IG.Forms.MessageBoxLauncher.btnLaunch
| private

System.Windows.Forms.GroupBox IG.Forms.MessageBoxLauncher.grpResult
| private

System.Windows.Forms.Label IG.Forms.MessageBoxLauncher.lblButtonClicked
| private

System.Windows.Forms.Label IG.Forms.MessageBoxLauncher.lblResultDescription
| private

System.Windows.Forms.GroupBox IG.Forms.MessageBoxLauncher.grpFileOpen
| private

System.Windows.Forms.Label IG.Forms.MessageBoxLauncher.lblCurrentDirTitle
| private

System.Windows.Forms.Label IG.Forms.MessageBoxLauncher.lblCurrentDir
| private

System.Windows.Forms.Button IG.Forms.MessageBoxLauncher.btnCurrentDirRefresh
| private

System.Windows.Forms.Button IG.Forms.MessageBoxLauncher.btnFileOpenBrowse
| private

System.Windows.Forms.TextBox IG.Forms.MessageBoxLauncher.txtFileOpen
| private

System.Windows.Forms.Label IG.Forms.MessageBoxLauncher.lblFileSize
| private

System.Windows.Forms.Label IG.Forms.MessageBoxLauncher.lblFileOpenSizeTitle
| private

System.Windows.Forms.GroupBox IG.Forms.MessageBoxLauncher.grpDirOpen
| private

System.Windows.Forms.Label IG.Forms.MessageBoxLauncher.lblDirNumFiles
| private

System.Windows.Forms.Label IG.Forms.MessageBoxLauncher.lblDirNumFilesTitle
| private

System.Windows.Forms.TextBox IG.Forms.MessageBoxLauncher.txtDirOpen
| private

System.Windows.Forms.Button IG.Forms.MessageBoxLauncher.btnDirOpenBrowse
| private

The documentation for this class was generated from the following files:

- igforms/Utilities/MessageBoxLauncher.cs
- igforms/Utilities/MessageBoxLauncher.Designer.cs